Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [day] [month] [year] [list]
Date: Fri, 24 Aug 2012 10:42:17 -0600
From: Vincent Danen <vdanen@...hat.com>
To: oss-security@...ts.openwall.com
Subject: oVirt 3.1 does not validate server certificates in python sdk and
 cli (CVE-2012-3533)

Hi folks.  This is a heads-up for anyone who may be shipping oVirt.
oVirt 3.1 added a new python SDK and CLI which do various fancy things.
It supports connecting to servers over SSL, but did not have support for
validating certificates, which could lead to a mitm attack.

I've assigned CVE-2012-3533 to this issue.  It is corrected in git
already.

References:

http://wiki.ovirt.org/wiki/Release_Notes#Interfaces
http://gerrit.ovirt.org/#/c/7209/
http://gerrit.ovirt.org/#/c/7249/
https://bugzilla.redhat.com/show_bug.cgi?id=851672

-- 
Vincent Danen / Red Hat Security Response Team 

Powered by blists - more mailing lists

Please check out the Open Source Software Security Wiki, which is counterpart to this mailing list.

Powered by Openwall GNU/*/Linux - Powered by OpenVZ